# Uses of Interface
java.lang.classfile.attribute.ModulePackagesAttribute

Packages that use ModulePackagesAttribute
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.
java.lang.classfile.attribute
Provides interfaces describing `class` file attributes for the `java.lang.classfile` library.

## Uses of ModulePackagesAttribute in java.lang.classfile

Methods in java.lang.classfile that return types with arguments of type ModulePackagesAttribute
Modifier and Type
Method
Description
`static AttributeMapper<ModulePackagesAttribute>`
Attributes.`modulePackages()`
Returns the mapper for the `ModulePackages` attribute.

## Uses of ModulePackagesAttribute in java.lang.classfile.attribute

Subinterfaces with type arguments of type ModulePackagesAttribute in java.lang.classfile.attribute
Modifier and Type
Interface
Description
`interface`
`ModulePackagesAttribute`
Models the `ModulePackages` attribute (JVMS 4.7.26), which can appear on classes that represent module descriptors to indicate packages in the module used by the module descriptor.
Methods in java.lang.classfile.attribute that return ModulePackagesAttribute
Modifier and Type
Method
Description
`static ModulePackagesAttribute`
ModulePackagesAttribute.`of(PackageEntry... packages)`
Returns a `ModulePackages` attribute.
`static ModulePackagesAttribute`
ModulePackagesAttribute.`of(List<PackageEntry> packages)`
Returns a `ModulePackages` attribute.
`static ModulePackagesAttribute`
ModulePackagesAttribute.`ofNames(PackageDesc... packages)`
Returns a `ModulePackages` attribute.
`static ModulePackagesAttribute`
ModulePackagesAttribute.`ofNames(List<PackageDesc> packages)`
Returns a `ModulePackages` attribute.